%bcond_without check
%global debug_package %{nil}

%global goipath         github.com/alecthomas/kong
Version:                0.9.0

%gometa

%global common_description %{expand:
Kong is a command-line parser for Go.}

%global golicenses      COPYING
%global godocs          _examples README.md

Name:           %{goname}
Release:    1%{?dist}
Summary:        Command-line parser for Go

License:        MIT
URL:            %{gourl}
Source0:         %{gosource}

%description %{common_description}

%gopkg

%prep
%goprep
%autopatch -p1

%generate_buildrequires
%go_generate_buildrequires

%install
%gopkginstall

%if %{with check}
%check
%gocheck
%endif

%gopkgfiles

%changelog
* Tue Sep 03 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.9.0-1
- initial build
